Bug 611153 - DRI2 and DRI2Connect failed on ltsp thin client
DRI2 and DRI2Connect failed on ltsp thin client
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ltsp (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 19:59 EDT by Norman Gaywood
Modified: 2010-12-03 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of xdpyinfo from a thin client (20.50 KB, text/plain)
2010-07-03 20:04 EDT, Norman Gaywood
no flags Details
Xorg.1.log from a thin client (56.51 KB, text/plain)
2010-07-03 20:06 EDT, Norman Gaywood
no flags Details

  None (edit)
Description Norman Gaywood 2010-07-03 19:59:00 EDT
Description of problem:
A user logs in from a thin client and tries to run glxgears:

$ glxgears
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  136 (DRI2)
  Minor opcode of failed request:  1 (DRI2Connect)
  Serial number of failed request:  18
  Current serial number in output stream:  18


Version-Release number of selected component (if applicable):

ltsp-server-5.1.95-1.fc12.i686 setting up thin clients

Application server is also a F12 system running kernel-2.6.32.14-127.fc12.x86_64

How reproducible:

Always

Steps to Reproduce:

Run glxgears in a login session on a thin client and get the above failed request messages.
  
Actual results:

glxgears does not run

Expected results:

glxgears should run
Comment 1 Norman Gaywood 2010-07-03 20:04:53 EDT
Created attachment 429319 [details]
output of xdpyinfo from a thin client
Comment 2 Norman Gaywood 2010-07-03 20:06:14 EDT
Created attachment 429320 [details]
Xorg.1.log from a thin client
Comment 3 Norman Gaywood 2010-07-03 20:11:19 EDT
Perhaps related to bug #601773?

If I am reading comment https://bugzilla.redhat.com/show_bug.cgi?id=601773#c2 correctly, I think it is saying that DRI2Connect will always fail in an LTSP setup.
Comment 4 Bug Zapper 2010-11-03 08:33:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:32:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.